Execute External Actions
Execute multiple external actions to get a list of values (for the UI)
Execute multiple external actions to get a list of values (for the UI)
Request
URI
POST
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/workitem/api/workitems/external-values
COPY
Query Parameters
string
projectId
Optional
The projectId of the project chosen for the request.
string
sourceId
Optional
sourceId
Request Body
[
{
"contextParameters": {
"contextParameters": "string"
},
"dataSource": "string",
"externalSourceProviderType": "string",
"fieldType": {
"dataType": "string",
"fields": [
{
"constraints": {
"constraints": {
"constraints": {}
},
"matchConstraint": {
"match": {}
}
},
"default": {},
"description": "string",
"id": "string",
"label": "string",
"placeholder": "string",
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"signpost": "string",
"step": "number",
"type": "FormSchemaFieldType Object",
"valueList": {},
"valueTree": {}
}
],
"isMultiple": false,
"referenceType": "string"
},
"parameters": [
{
"name": "string",
"useResultFromRequestId": 0,
"value": "string"
}
],
"requestId": 0,
"uri": "string"
}
]
Responses
200
'Success' with a list of external action results
[
{
"data": {},
"error": {
"detailsMessage": "string",
"summaryMessage": "string"
},
"requestId": 0
}
]
array of
object
400
'Bad Request' if RunnableItem is not in specified format
[
{
"data": {},
"error": {
"detailsMessage": "string",
"summaryMessage": "string"
},
"requestId": 0
}
]
array of
object
403
''Forbidden' no approval access rights.
[
"FormExternalDataResponse Object"
]
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/workitem/api/workitems/external-values
On This Page
Work Item Service Operations
GET
Get Work Items
GET
Get Work Items For Deployment
GET
Lookup External Resource
POST
Lookup External Resources
POST
Perform External Validation
POST
Execute External Actions
GET
Get Work Items For Deployment Request
GET
Get Work Item By Id
POST
Answer Work Item
POST
Reject Work Item